Bug 772122 - CVE-2011-3919 CVE-2011-3905 CVE-2011-2834 libxml2 various flaws [fedora-all]
CVE-2011-3919 CVE-2011-3905 CVE-2011-2834 libxml2 various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2011-3905 CVE-2011-3919 CVE-2011-2834
  Show dependency treegraph
 
Reported: 2012-01-05 23:22 EST by Huzaifa S. Sidhpurwala
Modified: 2012-09-27 00:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 04:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-01-05 23:22:50 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=771896

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2012-01-11 14:11:18 EST
    Adding parent bug CVE-2011-3905
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=771896,767387
Comment 2 Vincent Danen 2012-01-11 14:28:20 EST
    Adding parent bug CVE-2011-2834
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=771896,767387,735751
Comment 3 Fedora End Of Life 2012-08-07 15:16:19 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Huzaifa S. Sidhpurwala 2012-08-07 23:10:01 EDT
This issue is not fixed yet, re-opening the bug
Comment 5 Daniel Veillard 2012-09-10 02:56:05 EDT
libxml2-2.7.8-7.fc16 is build for f16
http://koji.fedoraproject.org/koji/taskinfo?taskID=4470707
and
libxml2-2.7.8-8.fc17 is built for f17
http://koji.fedoraproject.org/koji/taskinfo?taskID=4470603

f18/rawhide will be rebased as soon as 2.9.0 is out in a few days

Daniel
Comment 6 Fedora Update System 2012-09-10 03:12:31 EDT
libxml2-2.7.8-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-7.fc16
Comment 7 Fedora Update System 2012-09-10 03:13:23 EDT
libxml2-2.7.8-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-8.fc17
Comment 8 Fedora Update System 2012-09-10 18:24:37 EDT
Package libxml2-2.7.8-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxml2-2.7.8-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13746/libxml2-2.7.8-8.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-09-11 10:57:28 EDT
libxml2-2.7.8-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-9.fc17
Comment 10 Fedora Update System 2012-09-11 11:05:20 EDT
libxml2-2.7.8-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-8.fc16
Comment 11 Fedora Update System 2012-09-26 04:55:08 EDT
libxml2-2.7.8-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-27 00:34:00 EDT
libxml2-2.7.8-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.